/*
  Arduino ServoTimer2 Kütüphanesi Nasıl Kullanılır?
 
  ServoTimer2 kütüphanesinin detaylı açıklaması ve örnek projelerini
  web sitemizde bulabilirsiniz.
 
  Mete Hoca
  https://www.metehoca.com/
*/

#include <ServoTimer2.h> // ServoTimer2 kütüphanesini ekliyoruz
ServoTimer2 servom;      // Kütüphaneyi servom adıyla tanımlıyoruz

int motor = 3;           // Servo motorumuzun sinyal pini

void setup() {
  servom.attach(motor);  // Kütüphanemizi motora bağlıyoruz
}
void loop() {
  servo2(0);             // Servoyu ayarlayabileceğimiz en ALT değer
  delay(1000);
  servo2(180);           // Servoyu ayarlayabileceğimiz en ÜST değer
  delay(1000);
}

void servo2(int x) {     // 0-180 arasını 544-2400 arasına dönüştüren fonksiyon
  x = map(x, 0, 180, 544, 2400); // Bütün iş burada yapılıyor
  servom.write(x);       // Hesaplanan değer servoya gönderiliyor
}
